ZUPDATE(1)

NAME
zupdate - recompress bzip2, gzip, xz, zstd files to lzip format

SYNOPSIS
zupdate [options] [files]

DESCRIPTION
zupdate recompresses files from bzip2, gzip, xz, and zstd formats to lzip format. Each original is compared with the new file and then deleted. Only regular files with standard file name extensions are recompressed, other files are ignored. Compressed files are decompressed and then recompressed on the fly; no temporary files are created. The lzip format is chosen as destination because it is the most appropriate for long-term data archiving.

If no files are specified, recursive searches examine the current working directory, and nonrecursive searches do nothing.

If the lzip compressed version of a file already exists, the file is skipped unless the option '--force' is given. In this case, if the comparison with the existing lzip version fails, an error is returned and the original file is not deleted. The operation of zupdate is meant to be safe and not cause any data loss. Therefore, existing lzip compressed files are never overwritten nor deleted.

The names of the original files must have one of the following extensions:

'.bz2', '.gz', '.xz', '.zst', or '.Z', which are recompressed to '.lz'.

'.tbz', '.tbz2', '.tgz', '.txz', or '.tzst', which are recompressed to '.tlz'.

Exit status is 0 if all the compressed files were successfully recompressed (if needed), compared, and deleted (if requested). 1 if a non-fatal error occurred (file not found or not regular, or has invalid format, or can't be deleted). 2 if a fatal error occurred (compressor can't be run, or comparison fails).

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-e, --expand-extensions
    expand combined extensions; tgz -> tar.lz

-f, --force
    don't skip a file even if the .lz exists

-i, --ignore-errors
    ignore non-fatal errors

-k, --keep
    keep (don't delete) input files

-l, --lzip-verbose
    pass one option -v to the lzip compressor

-M, --format=<list>
    process only the formats in <list>

-N, --no-rcfile
    don't read runtime configuration file

-q, --quiet
    suppress all messages

-r, --recursive
    operate recursively on directories

-R, --dereference-recursive
    recursively follow symbolic links

-v, --verbose
    be verbose (a 2nd -v gives more)

-0 .. -9
    set compression level [default 9]

--bz2=<command>
    set compressor and options for bzip2 format

--gz=<command>
    set compressor and options for gzip format

--lz=<command>
    set compressor and options for lzip format

--xz=<command>
    set compressor and options for xz format

--zst=<command>
    set compressor and options for zstd format

REPORTING BUGS
Report bugs to zutils-bug@nongnu.org
Zutils home page: http://www.nongnu.org/zutils/zutils.html

COPYRIGHT
Copyright © 2022 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for zupdate is maintained as a Texinfo manual. If the info and zupdate programs are properly installed at your site, the command

    info zutils

should give you access to the complete manual.